Skip to main content
DELETE
Delete a plan

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Path Parameters

code
string
required

The code of the plan. It serves as a unique identifier associated with a particular plan. The code is typically used for internal or system-level identification purposes, like assigning a subscription, for instance.

Example:

"startup"

Response

Plan deleted

plan
object
required

A plan. This is the object returned by GET /plans, GET /plans/{code} and the plan write endpoints.

With a publishable pk_ key, GET /plans and GET /plans/{code} return this whole object, including prices, charges, taxes, minimums, credit grants and metadata. Nothing is filtered or redacted. See "Publishable keys" on those operations.

charges, entitlements, usage_thresholds, applicable_usage_thresholds, taxes, credit_grant_rules and credit_pool_policies are always present in a plan returned by the plan endpoints. They are empty arrays when the plan has none.